diff --git a/src/code/unix.lisp b/src/code/unix.lisp
index 81d7f99..d6056ca 100644
--- a/src/code/unix.lisp
+++ b/src/code/unix.lisp
@@ -385,15 +385,15 @@ corresponds to NAME, or NIL if there is none."
   ;;
   ;; Signal an error at compile-time, since it's needed for the
   ;; runtime to start up
-  #!-(or linux openbsd freebsd netbsd sunos osf1 darwin hpux win32)
+  #!-(or linux openbsd freebsd netbsd sunos osf1 darwin hpux win32 dragonfly)
   #.(error "POSIX-GETCWD is not implemented.")
-  #!+(or linux openbsd freebsd netbsd sunos osf1 darwin hpux win32)
+  #!+(or linux openbsd freebsd netbsd sunos osf1 darwin hpux win32 dragonfly)
   (or (newcharstar-string (alien-funcall (extern-alien "getcwd"
                                                        (function (* char)
                                                                  (* char)
                                                                  size-t))
                                          nil
-                                         #!+(or linux openbsd freebsd netbsd darwin win32) 0
+                                         #!+(or linux openbsd freebsd netbsd darwin win32 dragonfly) 0
                                          #!+(or sunos osf1 hpux) 1025))
       (simple-perror "getcwd")))
